## org.apache.batik.css.dom
Class CSSOMViewCSS

    java.lang.Object
      org.apache.batik.css.dom.CSSOMViewCSS

All Implemented Interfaces:
  org.w3c.dom.views.AbstractView, org.w3c.dom.css.ViewCSS

Direct Known Subclasses:
  CSSOMSVGViewCSS

public class CSSOMViewCSS
extends java.lang.Object
implements org.w3c.dom.css.ViewCSS

This class represents an object which provides the computed styles of the elements of a document.

Field Summary
`protected CSSEngine` `cssEngine` The associated CSS engine.

Constructor Summary
`CSSOMViewCSS(CSSEngine engine)` Creates a new ViewCSS.

Method Summary
`org.w3c.dom.css.CSSStyleDeclaration` `getComputedStyle(org.w3c.dom.Element elt, java.lang.String pseudoElt)` DOM: Implements `ViewCSS.getComputedStyle(Element,String)`.
`org.w3c.dom.views.DocumentView` `getDocument()` DOM: Implements `AbstractView.getDocument()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cssEngine

    protected CSSEngine cssEngine

  The associated CSS engine.

Constructor Detail

### CSSOMViewCSS

    public CSSOMViewCSS(CSSEngine engine)

  Creates a new ViewCSS.

Method Detail

### getDocument

    public org.w3c.dom.views.DocumentView getDocument()

  DOM: Implements `AbstractView.getDocument()`.

  Specified by:
    `getDocument` in interface `org.w3c.dom.views.AbstractView`

### getComputedStyle

    public org.w3c.dom.css.CSSStyleDeclaration getComputedStyle(org.w3c.dom.Element elt,
                                                                java.lang.String pseudoElt)

  DOM: Implements `ViewCSS.getComputedStyle(Element,String)`.

  Specified by:
    `getComputedStyle` in interface `org.w3c.dom.css.ViewCSS`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.